{
    "format_version": "1.19.0",
    "animation_controllers": {
        "controller.animation.card.resources": {
			"initial_state": "default",
            "states": {
                "default": {
                    "animations": ["deck"],
                    "transitions": [
						{	"table": "query.health(1) == 2"   },
						{	"player1": "query.health(1) == 3"   },
						{	"player2": "query.health(1) == 4"   },
						{	"player3": "query.health(1) == 5"   },
						{	"player4": "query.health(1) == 6"   },
						{	"choose_color_player1_red": "query.health(1) == 10"   },
						{	"choose_color_player1_blue": "query.health(1) == 11"   },
						{	"choose_color_player1_green": "query.health(1) == 12"   },
						{	"choose_color_player1_yellow": "query.health(1) == 13"   },
						{	"choose_color_player2_red": "query.health(1) == 20"   },
						{	"choose_color_player2_blue": "query.health(1) == 21"   },
						{	"choose_color_player2_green": "query.health(1) == 22"   },
						{	"choose_color_player2_yellow": "query.health(1) == 23"   },
						{	"choose_color_player3_red": "query.health(1) == 30"   },
						{	"choose_color_player3_blue": "query.health(1) == 31"   },
						{	"choose_color_player3_green": "query.health(1) == 32"   },
						{	"choose_color_player3_yellow": "query.health(1) == 33"   },
						{	"choose_color_player4_red": "query.health(1) == 40"   },
						{	"choose_color_player4_blue": "query.health(1) == 41"   },
						{	"choose_color_player4_green": "query.health(1) == 42"   },
						{	"choose_color_player4_yellow": "query.health(1) == 43"   }
                    ]
                },




                "table": {
                    "animations": ["table"],
                    "transitions": [
						{   "deck_reshuffled": "query.health(1) == 1"  }
                    ]
                },
                "deck_reshuffled": {
                    "animations": ["deck_reshuffled"],
                    "transitions": [
						{   "default": "query.health(1) == 1"  }
                    ]
                },
                "player1": {
                    "animations": ["player1"],
                    "transitions": [
						{   "tableplayer1": "query.health(1) == 2"  }
                    ]
                },
                "player2": {
                    "animations": ["player2"],
                    "transitions": [
						{   "tableplayer2": "query.health(1) == 2"  }
                    ]
                },
                "player3": {
                    "animations": ["player3"],
                    "transitions": [
						{   "tableplayer3": "query.health(1) == 2"  }
                    ]
                },
                "player4": {
                    "animations": ["player4"],
                    "transitions": [
						{   "tableplayer4": "query.health(1) == 2"  }
                    ]
                    
                },
                "tableplayer1": {
                    "animations": ["tableplayer1"],
                    "transitions": [
						{   "deck_reshuffled": "query.health(1) == 1"  }
                    ]
                },
                "tableplayer2": {
                    "animations": ["tableplayer2"],
                    "transitions": [
						{   "deck_reshuffled": "query.health(1) == 1"  }
                    ]
                },
                "tableplayer3": {
                    "animations": ["tableplayer3"],
                    "transitions": [
						{   "deck_reshuffled": "query.health(1) == 1"  }
                    ]
                },
                "tableplayer4": {
                    "animations": ["tableplayer4"],
                    "transitions": [
						{   "deck_reshuffled": "query.health(1) == 1"  }
                    ]
                },









                "choose_color_player1_red": {
                    "animations": ["choose_color_player1_red"],
                    "transitions": [{"tableplayer1": "query.health(1) == 2"}]
                },
                "choose_color_player1_blue": {
                    "animations": ["choose_color_player1_blue"],
                    "transitions": [{"tableplayer1": "query.health(1) == 2"}]
                },
                "choose_color_player1_green": {
                    "animations": ["choose_color_player1_green"],
                    "transitions": [{"tableplayer1": "query.health(1) == 2"}]
                },
                "choose_color_player1_yellow": {
                    "animations": ["choose_color_player1_yellow"],
                    "transitions": [{"tableplayer1": "query.health(1) == 2"}]
                },




                "choose_color_player2_red": {
                    "animations": ["choose_color_player2_red"],
                    "transitions": [{"tableplayer2": "query.health(1) == 2"}]
                },
                "choose_color_player2_blue": {
                    "animations": ["choose_color_player2_blue"],
                    "transitions": [{"tableplayer2": "query.health(1) == 2"}]
                },
                "choose_color_player2_green": {
                    "animations": ["choose_color_player2_green"],
                    "transitions": [{"tableplayer2": "query.health(1) == 2"}]
                },
                "choose_color_player2_yellow": {
                    "animations": ["choose_color_player2_yellow"],
                    "transitions": [{"tableplayer2": "query.health(1) == 2"}]
                },



                
                "choose_color_player3_red": {
                    "animations": ["choose_color_player3_red"],
                    "transitions": [{"tableplayer3": "query.health(1) == 2"}]
                },
                "choose_color_player3_blue": {
                    "animations": ["choose_color_player3_blue"],
                    "transitions": [{"tableplayer3": "query.health(1) == 2"}]
                },
                "choose_color_player3_green": {
                    "animations": ["choose_color_player3_green"],
                    "transitions": [{"tableplayer3": "query.health(1) == 2"}]
                },
                "choose_color_player3_yellow": {
                    "animations": ["choose_color_player3_yellow"],
                    "transitions": [{"tableplayer3": "query.health(1) == 2"}]
                },




                "choose_color_player4_red": {
                    "animations": ["choose_color_player4_red"],
                    "transitions": [{"tableplayer4": "query.health(1) == 2"}]
                },
                "choose_color_player4_blue": {
                    "animations": ["choose_color_player4_blue"],
                    "transitions": [{"tableplayer4": "query.health(1) == 2"}]
                },
                "choose_color_player4_green": {
                    "animations": ["choose_color_player4_green"],
                    "transitions": [{"tableplayer4": "query.health(1) == 2"}]
                },
                "choose_color_player4_yellow": {
                    "animations": ["choose_color_player4_yellow"],
                    "transitions": [{"tableplayer4": "query.health(1) == 2"}]
                }


            }
        }
    }
}


